Skip to main content
POST
/
v5
/
reports
/
balanceSheet
Balance Sheet
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "endDate": "2023-12-31",
  "exportType": "HTML",
  "grouping": "DAILY",
  "beginDate": "2023-01-01",
  "emails": [
    "<string>"
  ],
  "ccEmails": [
    "<string>"
  ],
  "bccEmails": [
    "<string>"
  ],
  "date": "2023-01-01"
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "meta": {
    "title": "<string>",
    "businesses": [
      "<string>"
    ],
    "generatedOn": "2023-11-07T05:31:56Z",
    "generatedBy": "<string>",
    "footerLine": "<string>",
    "params": {
      "endDate": "2023-12-31",
      "exportType": "HTML",
      "grouping": "DAILY",
      "beginDate": "2023-01-01",
      "emails": [
        "<string>"
      ],
      "ccEmails": [
        "<string>"
      ],
      "bccEmails": [
        "<string>"
      ],
      "date": "2023-01-01"
    }
  },
  "html": "<string>",
  "json": {
    "data": [
      {
        "assets": {
          "name": "<string>",
          "accountId": 123,
          "accountNo": "<string>",
          "total": 123,
          "children": [
            {}
          ]
        },
        "liabilitiesAndEquity": {
          "name": "<string>",
          "total": 123,
          "liabilities": {
            "name": "<string>",
            "accountId": 123,
            "accountNo": "<string>",
            "total": 123,
            "children": [
              {}
            ]
          },
          "equity": {
            "name": "<string>",
            "accountId": 123,
            "accountNo": "<string>",
            "total": 123,
            "children": [
              {}
            ]
          }
        }
      }
    ]
  },
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
endDate
string<date>
required

End date for this report

Example:

"2023-12-31"

exportType
enum<string>
required

Export type for this report

Available options:
HTML,
PDF,
JSON,
XLSX
grouping
enum<string>

Grouping for the report data, defaults to no grouping

Available options:
DAILY,
MONTHLY,
QUARTERLY,
YEARLY
beginDate
string<date>

Begin date for this report. Only valid and required when grouping is specified.

Example:

"2023-01-01"

emails
string[]

List of emails to which to send the report. Only valid for PDF and XLSX exportTypes.

List of emails to which to send the report. Only valid for PDF and XLSX exportTypes.

ccEmails
string[]

List of emails to be CC'ed on the report email. Only valid for PDF and XLSX exportTypes.

List of emails to be CC'ed on the report email. Only valid for PDF and XLSX exportTypes.

bccEmails
string[]

List of emails to be BCC'ed on the report email. Only valid for PDF and XLSX exportTypes.

List of emails to be BCC'ed on the report email. Only valid for PDF and XLSX exportTypes.

date
string<date>

Date the report was generated on (displayed in the footer of the PDF report)

Example:

"2023-01-01"

Response

200 - application/json

Successful operation

result
enum<string>

Result of the action performed

Available options:
SUCCESS,
FAILURE_VALIDATION_ERROR,
FAILURE_NO_DATA,
FAILURE_UNKNOWN_ERROR
errors
object

Error object containing details errors incurred, if any

meta
object

Metadata associated with the report generated

html
string

HTML of the report

json
object
url
string

Url at which the downloadable report is located